StableOps
API 參考

建立門戶發票收款會話

為 StableOps 門戶帳單建立託管結帳頁會話,設定可接受資產與返回地址,將客戶跳轉到支付頁後繼續核對帳單結算。門戶令牌限定使用者可訪問的資料,不能替代商戶管理金鑰,也不代表已完成付款。伺服器端應驗證使用者身份並安全簽發會話,最終權益以帳單和訂閱狀態為準。

POST/v1/merchant/portal/invoices/{id}/checkout-session

Path Parameters

id*unknown

Merchant invoice id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/portal/invoices/{id}/checkout-session" \  -H "Content-Type: application/json" \  -d '{    "accepted_assets": [      {        "chain": "ethereum",        "asset": "USDC"      }    ]  }'
{
  "checkout_session_id": "string",
  "client_secret": "string",
  "payment_order": {
    "id": "string",
    "merchant_order_id": "string",
    "amount": "string",
    "requested_amount": "string",
    "status": "created",
    "expires_at": "2019-08-24T14:15:22Z",
    "payment_instructions": [
      {
        "chain": "ethereum",
        "asset": "USDC",
        "address": "string"
      }
    ]
  }
}

這篇文件怎麼樣?

最後更新